package com.ejie.m62fb.model.documento;

import java.math.BigDecimal;

import com.ejie.m62fb.model.base.AbstractM62FBModel;

public class DocumentoRegVPP extends AbstractM62FBModel implements java.io.Serializable{
	public final static int SOURCE_VIVIENDA= 1;
	public final static int SOURCE_ELEMENTO = 2;
	public final static int SOURCE_CONTR_ALQ_VIV = 3;
	public final static int SOURCE_CONTR_ALQ_ELEM = 4;
	public final static int SOURCE_CONTR_ALQ_AD = 5;
	public final static int SOURCE_CONTR_COMPRA_VIV = 6;
	/**
	 * 
	 */
	private static final long serialVersionUID = 283323754676436017L;
	BigDecimal idTabla;
	BigDecimal idElemRelac;
	Documento documento;
	int fuente;
	
	/**
	 * 
	 */
	public DocumentoRegVPP() {
		super();
	}
	/**
	 * @param idTabla
	 * @param idElemRelac
	 * @param documento
	 */
	public DocumentoRegVPP(BigDecimal idTabla, BigDecimal idElemRelac,
			Documento documento) {
		super();
		this.idTabla = idTabla;
		this.idElemRelac = idElemRelac;
		this.documento = documento;
	}
	/**
	 * @return the idTabla
	 */
	public BigDecimal getIdTabla() {
		return idTabla;
	}
	/**
	 * @return the idElemRelac
	 */
	public BigDecimal getIdElemRelac() {
		return idElemRelac;
	}
	/**
	 * @return the documento
	 */
	public Documento getDocumento() {
		return documento;
	}
	/**
	 * @param idTabla the idTabla to set
	 */
	public void setIdTabla(BigDecimal idTabla) {
		this.idTabla = idTabla;
	}
	/**
	 * @param idElemRelac the idElemRelac to set
	 */
	public void setIdElemRelac(BigDecimal idElemRelac) {
		this.idElemRelac = idElemRelac;
	}
	/**
	 * @param documento the documento to set
	 */
	public void setDocumento(Documento documento) {
		this.documento = documento;
	}
	/**
	 * @return the fuente
	 */
	public int getFuente() {
		return fuente;
	}
	/**
	 * @param fuente the fuente to set
	 */
	public void setFuente(int fuente) {
		this.fuente = fuente;
	}
	
}
